# THIS IS A GNUPLOT COMMAND FILE.
# PLOT THE VALUES OF DELTA THE ERROR BOUNDS OF EIGENVALUES 
# FOR THE APPROXIMATED EIGENPAIRS.

set title "ERROR BOUNDS OF EIGENVALUES FOR THE APPROXIMATED PAIRS"

set term postscript eps enhanced color # COMMEN-OUT THIS LINE TO VIEW DIRECTLY.

input_file="delta.data" # INPUT DATA FILE.
set output "delta.eps"  # OUTPUT EPS FILE.

set key outside
#set key left
set size 0.7, 0.8

set xlabel "EIGENVALUE"
#set xrange [10:20]

set ylabel "LOG_10(DELTA)"
set logscale y
set format y "%L"
#set yrange [1e-20:1e5]

plot input_file index 0 using 1:2 title "IT0" with lp, \
     input_file index 1 using 1:2 title "IT1" with lp, \
     input_file index 2 using 1:2 title "IT2" with lp

#pause 60
