#!/bin/sh
# THIS IS A SHELL SCRIPT FILE TO PLOT
# 1) THE SINGULAR VALUE DISTRIBUTION OF THE SET OF FILTER OUTPUT VECTORS,
# 2) THE VALUES OF "DELTA" THE NORM OF RESIDUALS OF THE APPROXIMATED EIGENPAIRS 
#    WHICH ARE THE UPPER-BOUNDS OF ERRORS OF THE EIGENVALUES.

file=fort.99
tmp0=/tmp/IT0.$$
tmp1=/tmp/IT1.$$
tmp2=/tmp/IT2.$$
tmp=/tmp/99.$$
outfile66=fort.66.xgraph
outfile99=fort.99.xgraph
file_delta=delta.data

##if (!(test -e fort.00)); then
  uname -a > fort.00
##fi
#
##if (!(test -e $outfile66)); then
  echo "\"SIGMA\"" > $tmp; grep 'SIGMA(' fort.66 >> $tmp;
  cat $tmp | sed -e 's/SIGMA(//' | sed -e 's/) =//' > $outfile66;
  rm -f $tmp;
##fi
#
##if (!(test -e $outfile99)); then
  echo "\"IT0\"" > $tmp0; grep "IT0" $file >> $tmp0; echo >> $tmp0;
  echo "\"IT1\"" > $tmp1; grep "IT1" $file >> $tmp1; echo >> $tmp1;
  echo "\"IT2\"" > $tmp2; grep "IT2" $file >> $tmp2; echo >> $tmp2;
  cat $tmp0 $tmp1 $tmp2 > $tmp;
  rm -f $tmp0 $tmp1 $tmp2;
  cat $tmp | sed -e 's/MAG=.*$//' | sed -e 's/DEL=//' | sed -e 's/Q=//' | \
  sed -e 's/IT0://' | sed -e 's/IT1://' | sed -e 's/IT2://' > $outfile99
  rm -f $tmp
##fi
#
##if (!(test -e $file_delta)); then
  echo "# GNUPLOT DATA TO PLOT DELTA THE ERROR BOUNDS OF EIGENVALUES">$tmp0;
  echo "#IT0" >> $tmp0; grep "IT0" $file >> $tmp0; echo >> $tmp0;
  echo "" > $tmp1; echo "" >> $tmp1;
  echo "#IT1" >> $tmp1; grep "IT1" $file >> $tmp1; echo >> $tmp1;
  echo "" > $tmp2; echo "" >> $tmp2;
  echo "#IT2" >> $tmp2; grep "IT2" $file >> $tmp2; echo >> $tmp2;
  cat $tmp0 $tmp1 $tmp2 > $tmp;
  rm -f $tmp0 $tmp1 $tmp2;
  cat $tmp | sed -e 's/MAG=.*$//' | sed -e 's/DEL=//' | sed -e 's/Q=//' | \
  sed -e 's/IT0://' | sed -e 's/IT1://' | sed -e 's/IT2://' > $file_delta
  rm -f $tmp
##fi
#
#########################
# The below assumes the Unix command "xgraph" to be installed.
if (test -e fort.66x.xgraph); then
	xgraph -lny -m -nl -fmty "%10.1e" fort.66x.xgraph;
else
	xgraph -lny -m -nl -fmty "%10.1e" fort.66.xgraph;
fi
#
xgraph -lny -m     -fmty "%10.1e" fort.99.xgraph

# THE END OF SHELL SCRIPT show.sh
